import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { getTemplate, getUiOptions, } from '@rjsf/utils';
import Form from 'react-bootstrap/Form';
export default function FieldTemplate({ id, children, displayLabel, rawErrors = [], errors, help, description, rawDescription, classNames, style, disabled, label, hidden, onDropPropertyClick, onKeyChange, readonly, required, schema, uiSchema, registry, }) {
    const uiOptions = getUiOptions(uiSchema);
    const WrapIfAdditionalTemplate = getTemplate('WrapIfAdditionalTemplate', registry, uiOptions);
    if (hidden) {
        return _jsx("div", Object.assign({ className: 'hidden' }, { children: children }));
    }
    return (_jsx(WrapIfAdditionalTemplate, Object.assign({ classNames: classNames, style: style, disabled: disabled, id: id, label: label, onDropPropertyClick: onDropPropertyClick, onKeyChange: onKeyChange, readonly: readonly, required: required, schema: schema, uiSchema: uiSchema, registry: registry }, { children: _jsxs(Form.Group, { children: [displayLabel && (_jsxs(Form.Label, Object.assign({ htmlFor: id, className: rawErrors.length > 0 ? 'text-danger' : '' }, { children: [label, required ? '*' : null] }))), children, displayLabel && rawDescription && (_jsx(Form.Text, Object.assign({ className: rawErrors.length > 0 ? 'text-danger' : 'text-muted' }, { children: description }))), errors, help] }) })));
}
//# sourceMappingURL=FieldTemplate.js.map